---
title: Health
url: https://www.tines.com/docs/api/admin/tunnels/health/
updated: 2024-06-17T20:07:20+00:00
description: "Retrieve the health status of tunnels. Note: A user must be an admin in order to access this endpoint i.e. a tenant-level API key is required."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Tunnels](https://www.tines.com/llm/docs/api/admin/tunnels.md)*

# Health

*[View on tines.com](https://www.tines.com/docs/api/admin/tunnels/health/)*

## Description

Retrieve the health status of tunnels. Note: A user must be an admin in order to access this endpoint i.e. a tenant-level API key is required.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| tunnel_name     | **Required** Include the name of your tunnel                                                        |
| per_page        | **Optional** Set the number of results returned per page.                                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/tunnel/<<tunnel_name>>/health \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

Here `tunnel_name` is the name of your tunnel

## Response

A successful request will return a JSON object describing the health of the Tunnel. There is more information about health statuses in our Tunnel FAQ page here : https://www.tines.com/docs/admin/tunnel/tunnel-faqs/

### Field description

| Parameter | Description                                                                  |
| --------- | ---------------------------------------------------------------------------- |
| health    | The health of the tunnel. Accepted values: Down, Healthy, Inactive, Degraded |
| name      | The team name.                                                               |

### Sample response

<!-- cspell:disable -->

```json
{
  "health": "Healthy"
}
```

<!-- cspell:enable -->
